prometheus-client-c 0.1.1 Prometheus client for the C programming language

Macros
prom_alloc.h File Reference

memory management More...

`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for prom_alloc.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | prom_malloc malloc
| Redefine this macro if you wish to override it. More...
#define | prom_realloc realloc
| Redefine this macro if you wish to override it. More...
#define | prom_strdup strdup
| Redefine this macro if you wish to override it. More...
#define | prom_free free
| Redefine this macro if you wish to override it. More...

## Detailed Description

memory management

## Macro Definition Documentation

## ◆ prom_free

#define prom_free free

Redefine this macro if you wish to override it.

The default value is free.

## ◆ prom_malloc

#define prom_malloc malloc

Redefine this macro if you wish to override it.

The default value is malloc.

## ◆ prom_realloc

#define prom_realloc realloc

Redefine this macro if you wish to override it.

The default value is realloc.

## ◆ prom_strdup

#define prom_strdup strdup

Redefine this macro if you wish to override it.

The default value is strdup.